Bug 239638 - databases/postgresql*-contrib: Add XML option
Summary: databases/postgresql*-contrib: Add XML option
Status: In Progress
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: pgsql
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-04 04:26 UTC by Adam Weinberger
Modified: 2019-09-04 12:02 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (pgsql)


Attachments
pgsql96-contrib XML (2.15 KB, patch)
2019-08-04 04:26 UTC, Adam Weinberger
no flags Details | Diff
Add pg11 (4.32 KB, patch)
2019-08-04 04:51 UTC, Adam Weinberger
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Weinberger freebsd_committer 2019-08-04 04:26:06 UTC
Created attachment 206263 [details]
pgsql96-contrib XML

The attached patch adds an XML option rather than forcing libxslt/libxml2 in environments that don't need/want them.

I don't have any personal interest in the older pgsql versions but I see no reason they wouldn't apply there too.
Comment 1 Adam Weinberger freebsd_committer 2019-08-04 04:51:39 UTC
Created attachment 206265 [details]
Add pg11

This works with pgsql1 too.
Comment 2 Adam Weinberger freebsd_committer 2019-08-08 16:28:27 UTC
There's no specific need to update the patch here to reflect it, but consider this specific to postgresql12-contrib (I don't want to mess with 9.6 or 11 while the default version is being changed). If this patch times out next week, I'll be committing it ony to 12-contrib.
Comment 3 Loïc Bartoletti 2019-08-10 05:40:55 UTC
Oh, yes please!
And for postgresql10 too? Thanks.
Comment 4 Adam Weinberger freebsd_committer 2019-08-11 15:04:49 UTC
Hi Loïc,

At this point my intention is only to apply it to pgsqll2. There's work underway to make 11 the default, and I don't want to interfere with that. Even though it's skipping 10, I don't want anything up to 11 to diverge from where the pgsql team is expecting it.

If the 12 change goes over well, I will push the pgsql team to backport it.
Comment 5 commit-hook freebsd_committer 2019-08-17 16:56:36 UTC
A commit references this bug:

Author: adamw
Date: Sat Aug 17 16:56:19 UTC 2019
New revision: 509159
URL: https://svnweb.freebsd.org/changeset/ports/509159

Log:
  Add an XML option to postgresql12-contrib

  Avoids libxml2/libxslt for systems that don't need XML support.
  Although there was substantial interest in the PR to backport to
  10, I've only done pgsql12 for now, as I don't want to interfere
  with the effort to make pgsql11 the default. If things work well
  here, it can be backported to earlier versions as well.

  PR:		239638
  Approved by:	maintainer timeout (2 weeks)

Changes:
  head/databases/postgresql12-contrib/Makefile
  head/databases/postgresql12-server/pkg-plist-contrib
Comment 6 Adam Weinberger freebsd_committer 2019-09-04 12:02:25 UTC
So, now that pgsql11 has become the default, can I get an up-or-down vote on backporting this to < 12?